      DOUBLE PRECISION FUNCTION DSUM( N, X, INCX)

*  Definition der Argumente
*  .. Skalare Argumente
      INTEGER            N, INCX

*  .. Array Argument
      DOUBLE PRECISION   X(*)

*  Lokale Variablen (Werden auf dem Stack angelegt)
      INTEGER I, NINC

*  Parameter (Wo werden die angelegt?)
      DOUBLE PRECISION   Zero
      PARAMETER          ( ZERO = 0.0D+0 )

*  Wir beginnt die eigentliche Arbeit

      DSUM = Zero

      NINC = N*INCX

      DO 10 I = 1, NINC, INCX
          DSUM = DSUM + X(I)
  10  CONTINUE

      RETURN
      END
